# Update a single policy

PATCH /{policyId}

#### Description

Updates an existing policy identified by its ID, allowing modifications to its name, description, or associated compliance details.

Endpoint: PATCH /{policyId}
Version: 1.0
Security: oauth2

## Path parameters:

  - `policyId` (string, required)
    Unique ID of the policy to patch.

## Request fields (application/json):

  - `name` (string)
    The name of the policy.
    Example: "Password Policy"

  - `description` (string)
    The description of the policy.
    Example: "Password acceptance criteria."

  - `ownerId` (string)
    The unique identifier of the owner of the policy.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `customFields` (array)
    Example: [{"fieldId":"ceb912ab-519b-11ee-a644-522476618ae8","textValue":"John Smith"}]

  - `customFields.fieldId` (string)
    Unique identifier for the custom field

  - `customFields.textValue` (string)
    Value if the field type is text

  - `customFields.numberValue` (number)
    Value if the field type is number

  - `customFields.dateValue` (string)
    Value if the field type is date

  - `customFields.userValue` (string)
    Value if the field type is user

  - `customFields.selections` (array)
    List of values for textMultiSelect

  - `status` (string)
    The status of the object
    Enum: "active", "archived"

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier of the policy.
    Example: "d88d505d-5199-11ee-a644-522476618ae8"

  - `orgId` (string)
    The unique identifier of the organization the policy belongs to.
    Example: "ce83e3cd-5199-11ee-a644-522476618ae8"

  - `name` (string)
    The name of the policy.
    Example: "Password Policy"

  - `description` (string)
    The description of the policy.
    Example: "Password acceptance criteria."

  - `ownerId` (string)
    The unique identifier of the owner of the policy.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `effectiveDate` (string)
    The effective date of the policy (ISO-8601 format).
    Example: "2025-06-12T18:26:10.005365Z"

  - `nextRevisionDate` (string)
    The next revision date for the policy (ISO-8601 format).
    Example: "2025-06-15T18:26:10.005365Z"

  - `nextReviewDate` (string)
    The next review date for the policy (ISO-8601 format).
    Example: "2025-06-16T18:26:10.005365Z"

  - `policyApprovalStatus` (string)
    Enum: "approved", "approval", "changesRequested", "editing"

  - `effectiveDocumentId` (string)
    The unique identifier of the effective document of the policy.
    Example: "f06fe159-e7c1-4b42-8715-5615ff50b29c"

  - `createdBy` (string)
    The unique identifier of the user who created the policy.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `createdOn` (string)
    The date and time the policy was created (ISO-8601 format).
    Example: "2025-01-12T18:26:10.005365Z"

  - `updatedBy` (string)
    The unique identifier of the user who last updated the policy.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `updatedOn` (string)
    The date and time the policy was last updated (ISO-8601 format).
    Example: "2025-01-12T18:26:10.005365Z"

  - `customFields` (array)
    Example: [{"fieldId":"ceb912ab-519b-11ee-a644-522476618ae8","fieldName":"Sponsor","fieldType":"text","textValue":"John Smith"}]

  - `customFields.fieldId` (string)
    Unique identifier for the custom field

  - `customFields.fieldName` (string)
    Name of the custom field

  - `customFields.fieldType` (string)
    Type of field
    Enum: "text", "number", "date", "user", "textSingleSelect", "textMultiSelect"

  - `customFields.numberFormat` (string)
    Format if the field type is number
    Enum: "decimal", "percentage"

  - `customFields.textValue` (string)
    Value if the field type is text

  - `customFields.numberValue` (number)
    Value if the field type is number

  - `customFields.dateValue` (string)
    Value if the field type is date

  - `customFields.userValue` (string)
    Value if the field type is user

  - `customFields.selection` (string)
    Value for textSingleSelect

  - `customFields.selections` (array)
    List of values for textMultiSelect

  - `status` (string)
    The status of the object
    Enum: "active", "archived"

  - `permissions` (array)
    The list of permissions for the policy.
    Example: []


